#include "sprite_entity.h"
#include "sprite.h" 

void sprite_entity_draw(SpriteEntity self) {
    Sprite* sprite = self.tc->get_sprite(self.data);
    Transform* transform = self.transformable->get_transform(self.data);
    sprite_draw(sprite, *transform);
}
